Page MenuHomePhabricator

[analyzer] Add CTU user docs
ClosedPublic

Authored by martong on Jul 16 2019, 8:33 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

martong created this revision.Jul 16 2019, 8:33 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 16 2019, 8:33 AM
dkrupp requested changes to this revision.Jul 17 2019, 2:53 AM

Thanks Gabor for writing this.
I suggested some minor changes to the txt. Otherwise LGTM.

clang/docs/analyzer/user-docs/CrossTranslationUnit.rst
98 ↗(On Diff #210107)

since CodeChecker automation is already available I suggest rephrasing.

This manual procedure is error-prone and not scalable, so for analyzing real projects it is recommended to use the built-in support of CodeChecker or scan-build-py.

142 ↗(On Diff #210107)

I suggest to replace this line with the following:
E.g. one may use CodeChecker parse to view the results in command line or CodeChecker parse -e html to export them into HTML format.

pure command line usage without worrying about the server setup better fits this command line use-case.

147 ↗(On Diff #210107)

Some basic usage description could be added still...

This revision now requires changes to proceed.Jul 17 2019, 2:53 AM
martong updated this revision to Diff 210345.Jul 17 2019, 9:01 AM
martong marked 3 inline comments as done.
  • Address dkrupp's comments
martong updated this revision to Diff 210552.Jul 18 2019, 6:47 AM
  • Add notes about macro expansion crash with CTU
dkrupp accepted this revision.Jul 18 2019, 6:50 AM
This revision is now accepted and ready to land.Jul 18 2019, 6:50 AM
Closed by commit rL366439: [analyzer] Add CTU user docs (authored by martong, committed by ). · Explain WhyJul 18 2019, 7:04 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 18 2019, 7:04 AM